//***************************************************
//
//
//***************************************************

class PlayVizReceiveUdpLink extends UdpLink;

var int iPort;
var IpAddr Addr;

var float xpos, ypos, zpos;
var int xrot, yrot, zrot;

//var float zoomLvl;

var bool bSendData;

//  Basic UDP Setup
function InitUdpLink(int port)
{
    ReceiveMode = RMODE_Event;
    LinkMode = MODE_Text;

    if(Port > 0)
    {
        iPort = port;
    }

    self.GetLocalIp(Addr);
    addr.port = iPort;
    self.BindPort(addr.port, true);
}

event ReceivedText(IpAddr Addr, string Text)
{
    local string positionString, rotationString;
    local string xposString, yposString, zposString;
    local string xrotString, yrotString, zrotString;
    //local float zoomLvl;

    //log("Received string: " $ Text);

    if(len(Text) > 0)
    {
        bSendData = true;

        divide(Text, " ", positionString, rotationString);
        divide(positionString, ",", xposString, yposString);
        divide(yposString, ",", yposString, zposString);
        divide(rotationString, ",", xrotString, yrotString);
        divide(yrotString, ",", yrotString, zrotString);

        xpos = float(xposString);
        ypos = float(yposString);
        zpos = float(zposString);

        xrot = int(xrotString);
        yrot = int(yrotString);
        zrot = int(zrotString);

        log("XPOS: " $ xpos $ " YPOS: "  $ ypos $ " ZPOS: " $ zpos);
        log("XROT: " $ xrot $ " YROT: "  $ yrot $ " ZROT: " $ zrot);
    }
}

defaultproperties
{
    iPort=13777

    bSendData=false
}

